using System;
using WebCab.Libraries.Statistics.PDistributions;

public class HyperGeometricProbabilityDistributionClient {
	public static void Main () {
		try {
			HyperGeometricProbabilityDistribution proxy = new HyperGeometricProbabilityDistribution (100,150,50);
						
			Console.WriteLine ("GetNumberOfElements(): " + proxy.GetNumberOfElements());
			Console.WriteLine ("GetNumberOfElementsLabeledSuccess(): " + proxy.GetNumberOfElementsLabeledSuccess());
			Console.WriteLine ("GetNumberOfTrials(): " + proxy.GetNumberOfTrials());
			Console.WriteLine ("Probability(20): " + proxy.Probability(20));
			proxy = null;
		}
		catch (Exception e) {
			Console.WriteLine (e);
		}
	}
}