using System;
using WebCab.Libraries.Statistics.PDistributions;


public class PoissonApproximationOfTheBinomialProbabilityDistributionClient {
	public static void Main () {
		try {
			PoissonApproximationOfTheBinomialDistribution proxy = new PoissonApproximationOfTheBinomialDistribution ();
						
			Console.WriteLine ("SetProbabilityOfASuccess (0.5)");
			proxy.SetProbabilityOfASuccess (0.5);
			Console.WriteLine ("SetNumberOfTrials (10)");
			proxy.SetNumberOfTrials (10);

			Console.WriteLine ("GetMean (): " + proxy.GetMean ());
			Console.WriteLine ("GetVariance (): " + proxy.GetVariance ());
			Console.WriteLine ("GetProbabilityOfASuccess (): " + proxy.GetProbabilityOfASuccess ());
			Console.WriteLine ("GetNumberOfTrials (): " + proxy.GetNumberOfTrials ());

			Console.WriteLine ("GetProbabilityOfASuccess (): " + proxy.GetProbabilityOfASuccess ());
			Console.WriteLine ("GetNumberOfTrials (): " + proxy.GetNumberOfTrials ());
			Console.WriteLine ("GetProbability (1): " + proxy.Probability (1));
			Console.WriteLine ("ProbabilityUp (1): " + proxy.ProbabilityUp (1));
			proxy = null;
		}
		catch (Exception e) {
			Console.WriteLine (e);
		}
	}
}