using System;


public class StandardNormalProbabilityDistributionsClient {
	public static void Main () {
		try {
			StandardNormalProbabilityDistribution proxy = new StandardNormalProbabilityDistribution ();
			
			Console.WriteLine ("GetMean (): " + proxy.GetMean ());
			Console.WriteLine ("GetVariance (): " + proxy.GetVariance ());
			Console.WriteLine ("GetProbability (0.2, 0.3): " + proxy.Probability (0.2, 0.3));
			Console.WriteLine ("Inverse(0.9, 0.01, 200): " + proxy.Inverse(0.9, 0.01, 200));
			Console.WriteLine ("GetRandomValue(): " + proxy.GetRandomValue());
			proxy = null;
		}
		catch (Exception e) {
			Console.WriteLine (e);
		}
	}
}