using System;

public class UniformProbabilityDistributionClient {
	public static void Main () {
		try {
			UniformProbabilityDistribution proxy = new UniformProbabilityDistribution ();
			proxy.CookieContainer = new System.Net.CookieContainer ();
			
			Console.WriteLine ("DensityFunction(10): " + proxy.DensityFunction(10));
			Console.WriteLine ("GetLowerBound(): " + proxy.GetLowerBound());
			Console.WriteLine ("GetUpperBound(): " + proxy.GetUpperBound());
			Console.WriteLine ("GetMean(): " + proxy.GetMean());
			Console.WriteLine ("GetRandomValue(): " + proxy.GetRandomValue());
			Console.WriteLine ("Probability(5,10):" + proxy.Probability(5,10));
			Console.WriteLine ("ProbabilityDown(10):" + proxy.ProbabilityDown(10));
			Console.WriteLine ("ProbabilityUp(5):" + proxy.ProbabilityUp(5));
			Console.WriteLine ("SetInterval(5,15)");
			proxy.SetInterval(5,15);
			proxy = null;
		}
		catch (Exception e) {
			Console.WriteLine (e);
		}
	}
}