using System;
using WebCab.Lib.Util.Example;

public class DataPresentationClient {
   public static void Main( String[] args ) {
      // used components
      DataPresentation instanceOfDataPresentation = new DataPresentation();
      //
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "                   ###########################################" );
      System.Console.WriteLine( "                   # DataPresentation Console Client Example #" );
      System.Console.WriteLine( "                   ###########################################" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " --------" );
      System.Console.WriteLine( " Overview" );
      System.Console.WriteLine( " --------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    Here we provide one example  of  the  application  of  each  of  the" );
      System.Console.WriteLine( "    methods contained within the DataPresentation Class" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " Press ENTER or SPACE to scroll down." );
      System.Console.WriteLine( " " );

      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "++++++++++++++++++++++++" );
      System.Console.WriteLine( "+ Setting the data set +" );
      System.Console.WriteLine( "++++++++++++++++++++++++" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " Within this example we test the following method:" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    setDataSet( double[] dataSet )" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " Question:" );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " Parameter values required to solve this problem:" );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    dataSet = {0.5, 1.4, 1.3, 2.0, 2.3, 4.5, 5.5}" );
      // Here we set the data set.
      instanceOfDataPresentation.SetDataSet( 
         new double[] {0.5, 1.4, 1.3, 2.0, 2.3, 4.5, 5.5} // dataSet
      );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " Answer evaluated:" );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    The data set has now been registered." );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );

      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "++++++++++++++++++++" );
      System.Console.WriteLine( "+ Get the data set +" );
      System.Console.WriteLine( "++++++++++++++++++++" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " Within this example we test the following method:" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    getDataSet(  )" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " Question:" );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " Parameter values required to solve this problem:" );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " " );
      // Here we set the data set.
      instanceOfDataPresentation.SetDataSet( 
         new double[] {0.5, 1.4, 1.3, 2.0, 2.3, 4.5, 5.5} // dataSet
      );
      // Here we get the data set.
      double[] gettingTheDataSet1 = instanceOfDataPresentation.GetDataSet( 
      );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " Answer evaluated:" );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    The data set which has just been set is:" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "       " + MethodInvoker.arrayToString( gettingTheDataSet1, ", " ) );
      System.Console.WriteLine( " " );

      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "++++++++++++++++++++++++++++++++++" );
      System.Console.WriteLine( "+ Setting the Boundary intervals +" );
      System.Console.WriteLine( "++++++++++++++++++++++++++++++++++" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " Within this example we test the following method:" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    setBoundariesIntervals( double[] boundaries )" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " Question:" );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " Parameter values required to solve this problem:" );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    boundaries = {1.0, 2.0, 3.0, 4.0, 5.0}" );
      // Here we set the boundaries of the intervals.
      instanceOfDataPresentation.SetBoundariesIntervals( 
         new double[] {1.0, 2.0, 3.0, 4.0, 5.0} // boundaries
      );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " Answer evaluated:" );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    The boundary values have now been set." );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );

      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "+++++++++++++++++++++++" );
      System.Console.WriteLine( "+ Get Boundary Values +" );
      System.Console.WriteLine( "+++++++++++++++++++++++" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " Within this example we test the following method:" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    getBoundariesIntervals(  )" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " Question:" );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "     Here we set the boundaries of the sub-intervals of the real line  to" );
      System.Console.WriteLine( "     be" );
      System.Console.WriteLine( "     Here we first set and then get  the  value  of  the  boundary  point" );
      System.Console.WriteLine( "     which have been set." );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " Parameter values required to solve this problem:" );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " " );
      // Here we set the boundaries of the intervals.
      instanceOfDataPresentation.SetBoundariesIntervals( 
         new double[] {1.0, 2.0, 3.0, 4.0, 5.0} // boundaries
      );
      // Here we get the boundary values which have been set.
      double[] getBoundaries1 = instanceOfDataPresentation.GetBoundariesIntervals( 
      );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " Answer evaluated:" );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    The values of the boundary point which have just be set are:" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "       " + MethodInvoker.arrayToString( getBoundaries1, ", " ) );
      System.Console.WriteLine( " " );

      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++" );
      System.Console.WriteLine( "+ Evaluate the Frequency Table with respect to the  Open  Left  Boundary +" );
      System.Console.WriteLine( "+ Convention                                                             +" );
      System.Console.WriteLine( "++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " Within this example we test the following method:" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    frequencyTableOL(  )" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " Question:" );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " Parameter values required to solve this problem:" );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " " );
      // Here we set the data set.
      instanceOfDataPresentation.SetDataSet( 
         new double[] {0.5, 1.4, 1.3, 2.0, 2.3, 4.5, 5.5} // dataSet
      );
      // Here we set the boundaries of the intervals.
      instanceOfDataPresentation.SetBoundariesIntervals( 
         new double[] {1.0, 2.0, 3.0, 4.0, 5.0} // boundaries
      );
      // Here we evaluate the Frequency Table with respect  to  the  open  left
      // boundary convention for the data set and boundary  values  which  have
      // just been set.
      double[] frequencyTableOL1 = instanceOfDataPresentation.FrequencyTableOL( 
      );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " Answer evaluated:" );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    The values of frequency table are:" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "       " + MethodInvoker.arrayToString( frequencyTableOL1, ", " ) );
      System.Console.WriteLine( " " );

      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++" );
      System.Console.WriteLine( "+ Evaluate the Frequency Table with respect to the Open  Right  Boundary +" );
      System.Console.WriteLine( "+ Convention                                                             +" );
      System.Console.WriteLine( "++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " Within this example we test the following method:" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    frequencyTableOR(  )" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " Question:" );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " Parameter values required to solve this problem:" );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " " );
      // Here we set the data set.
      instanceOfDataPresentation.SetDataSet( 
         new double[] {0.5, 1.4, 1.3, 2.0, 2.3, 4.5, 5.5} // dataSet
      );
      // Here we set the boundaries of the intervals.
      instanceOfDataPresentation.SetBoundariesIntervals( 
         new double[] {1.0, 2.0, 3.0, 4.0, 5.0} // boundaries
      );
      // Here we evaluate the Frequency Table with respect to  the  open  right
      // boundary convention for the data set and boundary  values  which  have
      // just been set.
      double[] frequencyTableOR1 = instanceOfDataPresentation.FrequencyTableOR( 
      );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " Answer evaluated:" );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    The values of frequency table are:" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "       " + MethodInvoker.arrayToString( frequencyTableOR1, ", " ) );
      System.Console.WriteLine( " " );

      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++" );
      System.Console.WriteLine( "+ Evaluate the Cumulative Frequency Table from below in accordance  with +" );
      System.Console.WriteLine( "+ the OLB Convention                                                     +" );
      System.Console.WriteLine( "++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " Within this example we test the following method:" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    cFrequencyTableBOL(  )" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " Question:" );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " Parameter values required to solve this problem:" );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " " );
      // Here we set the data set.
      instanceOfDataPresentation.SetDataSet( 
         new double[] {0.5, 1.4, 1.3, 2.0, 2.3, 4.5, 5.5} // dataSet
      );
      // Here we set the boundaries of the intervals.
      instanceOfDataPresentation.SetBoundariesIntervals( 
         new double[] {1.0, 2.0, 3.0, 4.0, 5.0} // boundaries
      );
      // Here we evaluate the cumulative frequency table with  respect  to  the
      // open left boundary convention.
      double[] cumulativeFrequency1 = instanceOfDataPresentation.CFrequencyTableBOL( 
      );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " Answer evaluated:" );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    The Cumulative Frequency Table from above in accordance with  the  OLB" );
      System.Console.WriteLine( "    convention is:" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "       " + MethodInvoker.arrayToString( cumulativeFrequency1, ", " ) );
      System.Console.WriteLine( " " );

      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++" );
      System.Console.WriteLine( "+ Evaluate the Cumulative Frequency Table from below in accordance  with +" );
      System.Console.WriteLine( "+ the ORB Convention                                                     +" );
      System.Console.WriteLine( "++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " Within this example we test the following method:" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    cFrequencyTableBOR(  )" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " Question:" );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " Parameter values required to solve this problem:" );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " " );
      // Here we set the data set.
      instanceOfDataPresentation.SetDataSet( 
         new double[] {0.5, 1.4, 1.3, 2.0, 2.3, 4.5, 5.5} // dataSet
      );
      // Here we set the boundaries of the intervals.
      instanceOfDataPresentation.SetBoundariesIntervals( 
         new double[] {1.0, 2.0, 3.0, 4.0, 5.0} // boundaries
      );
      // Here we evaluate the cumulative frequency table with  respect  to  the
      // open left boundary convention.
      double[] cumulativeFrequency2 = instanceOfDataPresentation.CFrequencyTableBOR( 
      );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " Answer evaluated:" );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    The Cumulative Frequency Table from above in accordance with  the  ORB" );
      System.Console.WriteLine( "    convention is:" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "       " + MethodInvoker.arrayToString( cumulativeFrequency2, ", " ) );
      System.Console.WriteLine( " " );

      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++" );
      System.Console.WriteLine( "+ Evaluate the Cumulative Frequency Table from above in accordance  with +" );
      System.Console.WriteLine( "+ the OLB Convention                                                     +" );
      System.Console.WriteLine( "++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " Within this example we test the following method:" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    cFrequencyTableAOL(  )" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " Question:" );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " Parameter values required to solve this problem:" );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " " );
      // Here we set the data set.
      instanceOfDataPresentation.SetDataSet( 
         new double[] {0.5, 1.4, 1.3, 2.0, 2.3, 4.5, 5.5} // dataSet
      );
      // Here we set the boundaries of the intervals.
      instanceOfDataPresentation.SetBoundariesIntervals( 
         new double[] {1.0, 2.0, 3.0, 4.0, 5.0} // boundaries
      );
      // Here we evaluate the cumulative frequency table with  respect  to  the
      // open left boundary convention.
      double[] cumulativeFrequency3 = instanceOfDataPresentation.CFrequencyTableAOL( 
      );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " Answer evaluated:" );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    The Cumulative Frequency Table from above in accordance with  the  OLB" );
      System.Console.WriteLine( "    convention is:" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "       " + MethodInvoker.arrayToString( cumulativeFrequency3, ", " ) );
      System.Console.WriteLine( " " );

      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++" );
      System.Console.WriteLine( "+ Evaluate the Cumulative Frequency Table from above in accordance  with +" );
      System.Console.WriteLine( "+ the ORB Convention                                                     +" );
      System.Console.WriteLine( "++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " Within this example we test the following method:" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    cFrequencyTableAOR(  )" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " Question:" );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " Parameter values required to solve this problem:" );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " " );
      // Here we set the data set.
      instanceOfDataPresentation.SetDataSet( 
         new double[] {0.5, 1.4, 1.3, 2.0, 2.3, 4.5, 5.5} // dataSet
      );
      // Here we set the boundaries of the intervals.
      instanceOfDataPresentation.SetBoundariesIntervals( 
         new double[] {1.0, 2.0, 3.0, 4.0, 5.0} // boundaries
      );
      // Here we evaluate the cumulative frequency table with  respect  to  the
      // open left boundary convention.
      double[] cumulativeFrequency4 = instanceOfDataPresentation.CFrequencyTableAOR( 
      );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " Answer evaluated:" );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    The Cumulative Frequency Table from above in accordance with  the  ORB" );
      System.Console.WriteLine( "    convention is:" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "       " + MethodInvoker.arrayToString( cumulativeFrequency4, ", " ) );
      System.Console.WriteLine( " " );

      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++" );
      System.Console.WriteLine( "+ Evaluate the Relative Frequency  Table  in  accordance  with  the  OLB +" );
      System.Console.WriteLine( "+ Convention                                                             +" );
      System.Console.WriteLine( "++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " Within this example we test the following method:" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    relativeFrequencyTableOL(  )" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " Question:" );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " Parameter values required to solve this problem:" );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " " );
      // Here we set the data set.
      instanceOfDataPresentation.SetDataSet( 
         new double[] {0.5, 1.4, 1.3, 2.0, 2.3, 4.5, 5.5} // dataSet
      );
      // Here we set the boundaries of the intervals.
      instanceOfDataPresentation.SetBoundariesIntervals( 
         new double[] {1.0, 2.0, 3.0, 4.0, 5.0} // boundaries
      );
      // Here we evaluate the relative frequency  table  using  the  open  left
      // boundary convention.
      double[] relativeOL1 = instanceOfDataPresentation.RelativeFrequencyTableOL( 
      );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " Answer evaluated:" );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    The relative frequency table using the open left  boundary  convention" );
      System.Console.WriteLine( "    is:" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "       " + MethodInvoker.arrayToString( relativeOL1, ", " ) );
      System.Console.WriteLine( " " );

      System.Console.WriteLine( " " );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++" );
      System.Console.WriteLine( "+ Evaluate the Relative Frequency  Table  in  accordance  with  the  ORB +" );
      System.Console.WriteLine( "+ Convention                                                             +" );
      System.Console.WriteLine( "++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " Within this example we test the following method:" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    relativeFrequencyTableOR(  )" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " Question:" );
      System.Console.WriteLine( " ---------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "     Here we evaluate the relative frequency table using  the  open  left" );
      System.Console.WriteLine( "     boundary convention for the data set:" );
      System.Console.WriteLine( "     Here we evaluate the relative frequency table using the  open  right" );
      System.Console.WriteLine( "     boundary convention." );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " Parameter values required to solve this problem:" );
      System.Console.WriteLine( " ------------------------------------------------" );
      System.Console.WriteLine( " " );
      // Here we set the data set.
      instanceOfDataPresentation.SetDataSet( 
         new double[] {0.5, 1.4, 1.3, 2.0, 2.3, 4.5, 5.5} // dataSet
      );
      // Here we set the boundaries of the intervals.
      instanceOfDataPresentation.SetBoundariesIntervals( 
         new double[] {1.0, 2.0, 3.0, 4.0, 5.0} // boundaries
      );
      // Here we evaluate the relative frequency table  using  the  open  right
      // boundary convention.
      double[] relativeOR1 = instanceOfDataPresentation.RelativeFrequencyTableOR( 
      );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " Answer evaluated:" );
      System.Console.WriteLine( " -----------------" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "    The     relative  frequency  table  using  the  open  right  frequency" );
      System.Console.WriteLine( "    convention is:" );
      System.Console.WriteLine( " " );
      System.Console.WriteLine( "       " + MethodInvoker.arrayToString( relativeOR1, ", " ) );
      System.Console.WriteLine( " " );

      System.Console.WriteLine( " " );
      System.Console.WriteLine( "       -------------------------------------------------------------------" );
      System.Console.WriteLine( "       - Please scroll up to the top of the console to view the examples -" );
      System.Console.WriteLine( "       -------------------------------------------------------------------" );
      System.Console.WriteLine( " " );
   }
}
