using System;
using WebCab.Libraries.Statistics.PDistributions;


public class LogNormalProbabilityDistributionClient {
	public static void Main () {
		try {
			LogNormalProbabilityDistribution proxy = new LogNormalProbabilityDistribution (0, 1);
									
			Console.WriteLine ("SetNormalDistributionMean (1.0)");
			proxy.SetNormalDistributionMean (1.0);
			Console.WriteLine ("SetNormalDistributionVariance (2)");
			proxy.SetNormalDistributionVariance (2);

			Console.WriteLine ("GetNormalDistributionMean (): " + proxy.GetNormalDistributionMean ());
			Console.WriteLine ("GetNormalDistributionVariance (): " + proxy.GetNormalDistributionVariance ());
			Console.WriteLine ("ProbabilityUp (1): " + proxy.Probability (1));
			Console.WriteLine ("Inverse (0.95): " + proxy.Inverse (0.95));
			Console.WriteLine ("Probability (Inverse(0.95)): " + proxy.Probability (proxy.Inverse(0.95)));

			Console.WriteLine ("GetNormalDistributionMean (): " + proxy.GetNormalDistributionMean ());
			Console.WriteLine ("GetNormalDistributionVariance (): " + proxy.GetNormalDistributionVariance());
			Console.WriteLine ("Probability (0.2, 0.3): " + proxy.Probability (0.2, 0.3));
			Console.WriteLine ("GetRandomValue(): " + proxy.GetRandomValue());

			proxy = null;
		}
		catch (Exception e) {
			Console.WriteLine (e);
		}
	}
}