using System;
using WebCab.Libraries.Statistics.PDistributions;

public class ParetoProbabilityDistributionClient {
	public static void Main () {
		try {
			ParetoProbabilityDistribution proxy = new ParetoProbabilityDistribution ();
						
			Console.WriteLine ("SetParameterB (3)");
			proxy.SetParameterB(3);
			Console.WriteLine ("SetParameterA(3)");
			proxy.SetParameterA(3);
			
			Console.WriteLine ("DensityFunction (4): " + proxy.DensityFunction(4));
			Console.WriteLine ("Probability(5): " + proxy.Probability(5));
			Console.WriteLine ("Inverse(0.95): " + proxy.Inverse(0.95));
			Console.WriteLine ("Probability(proxy.Inverse (0.95)): " + proxy.Probability(proxy.Inverse (0.95)));
			Console.WriteLine ("GetRandomValue(): " + proxy.GetRandomValue());

			proxy = null;
		}
		catch (Exception e) {
			Console.WriteLine (e);
		}
	}
}