using System;

public class ExponentialProbabilityDistributionClient {
	public static void Main () {
		try {
			ExponentialProbabilityDistribution proxy = new ExponentialProbabilityDistribution ();
			proxy.CookieContainer = new System.Net.CookieContainer ();
			
			Console.WriteLine ("SetMean(12)");
			proxy.SetMean(12);

			Console.WriteLine ("DensityFunction(10): " + proxy.DensityFunction(10));
			Console.WriteLine ("GetMean(): " + proxy.GetMean());
			Console.WriteLine ("GetProbability (1, 1): " + proxy.Probability (1, 1));
			Console.WriteLine ("ProbabilityUp (1): " + proxy.ProbabilityUp (1));
			Console.WriteLine ("Inverse(0.95): " + proxy.Inverse(0.95));
			Console.WriteLine ("GetRandomValue():" + proxy.GetRandomValue());
			proxy = null;
		}
		catch (Exception e) {
			Console.WriteLine (e);
		}
	}
}